version: '3.4'

services:

  managing.api:
    environment:
      - ASPNETCORE_ENVIRONMENT=Oda-docker
      - ASPNETCORE_URLS=https://+:443;http://+:80
      - ASPNETCORE_Kestrel__Certificates__Default__Password=!MotdepasseFort11
      - ASPNETCORE_Kestrel__Certificates__Default__Path=/src/managing_cert.pfx
    ports:
      - "82:80"
      - "446:443"
    volumes:
      - ${APPDATA}/Microsoft/UserSecrets:/root/.microsoft/usersecrets:ro
      - ${APPDATA}/ASP.NET/Https:/root/.aspnet/https:ro

  managing.api.workers:
    environment:
      - ASPNETCORE_ENVIRONMENT=Oda-docker
      - ASPNETCORE_URLS=https://+:443;http://+:80
      - ASPNETCORE_Kestrel__Certificates__Default__Password=!MotdepasseFort11
      - ASPNETCORE_Kestrel__Certificates__Default__Path=/src/managing_cert.pfx
    ports:
      - "83:80"
      - "447:443"
    volumes:
      - ${APPDATA}/Microsoft/UserSecrets:/root/.microsoft/usersecrets:ro
      - ${APPDATA}/ASP.NET/Https:/root/.aspnet/https:ro
